<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.groupon.mapper.GrouponUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="grouponUserResultMap" type="org.springblade.modules.groupon.entity.GrouponUser">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="groupon_id" property="grouponId"/>
        <result column="user_id" property="userId"/>
        <result column="user_avatar" property="userAvatar"/>
    </resultMap>


    <select id="selectGrouponUserPage" resultMap="grouponUserResultMap">
        select * from t_groupon_user where is_delete = 0
    </select>

</mapper>
